#
# spec file for package python-mpl-animators
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-mpl-animators
Version:        1.2.4
Release:        1.1
Summary:        An interative animation framework for matplotlib
License:        BSD-3-Clause
URL:            https://github.com/sunpy/mpl-animators
Source:         https://files.pythonhosted.org/packages/source/m/mpl_animators/mpl_animators-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.10}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 62}
BuildRequires:  %{python_module setuptools_scm >= 8}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-matplotlib >= 3.5.0
Requires:       python-numpy >= 1.23.0
Suggests:       python-astropy >= 5.3.0
Provides:       python-mpl_animators = %{version}-%{release}
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module astropy >= 5.3.0}
BuildRequires:  %{python_module matplotlib >= 3.5.0}
BuildRequires:  %{python_module numpy >= 1.23.0}
BuildRequires:  %{python_module pytest-doctestplus}
BuildRequires:  %{python_module pytest-mpl}
BuildRequires:  %{python_module pytest-xdist}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Aframework for creating interactive animations with matplotlib.
It is designed to handle N-dimensional data, and can be used to create animations.

%prep
%setup -q -n mpl_animators-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -n auto

%files %{python_files}
%{python_sitelib}/mpl_animators
%{python_sitelib}/mpl_animators-%{version}.dist-info

%changelog
* Sun Jul 13 2025 Ben Greiner <code@bnavigator.de>
- Update to 1.2.4
  * Catch errors when animating plots with missing data and replace
    them with warnings. (#73)
- Releases 1.2.0 to 1.2.3
  * remove old circleci webhook config by @Cadair in #36
  * Added Gallery + Update Package template by @nabobalis in #37
  * Speed up CI by using different images per build by @Cadair in
    [#39]
  * use sh not bash because nixos lol by @Cadair in #41
  * gallery plus api docs by @nabobalis in #47
  * Registers package to sunpy template by @CyclingNinja in #48
  * Wrong base python for image upload by @nabobalis in #50
  * Allowed a user to override the slider labels for
    .ArrayAnimatorWCS. (#93)
* Fri May  9 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
* Mon Dec 11 2023 Dirk Müller <dmueller@suse.com>
- update to 1.1.1:
  * Fix setting y limits when data is a dask array
  * Add changelog config and bump minimum Python version to 3.8
* Sun Feb  6 2022 Ben Greiner <code@bnavigator.de>
- Initial specfile for version 1.0.1
- Required by sunpy testing (optional runtime req)
